#include "main.h"

#include <QApplication>
#include <QTreeWidget>
#include <QStringList>


int main(int argc,char ** argv)
{
  QApplication app(argc,argv);

  QTreeWidget * tw = new QTreeWidget( 0 );
  tw->setAllColumnsShowFocus( true );
  tw->setExpandsOnDoubleClick( true );
  tw->setAnimated( true );

  QStringList headerLabels;
  headerLabels.append( "COLUMN 1" );
  tw->setHeaderLabels( headerLabels );



  QTreeWidgetItem * par;
  for(int i=0;i<100;i++)
  {
    par = new QTreeWidgetItem( tw );
    par->setText( 0, "PARENT COLUMN 1" );

    for(int i=0;i<100;i++)
    {
      QTreeWidgetItem * item = new QTreeWidgetItem( par );
      item->setText( 0, "CHILD COLUMN 1" );
    }
  }


  tw->expandItem(par);
  delete par;

  //mt->runAllTests();

  tw->show();

  par->setExpanded( true );

  return app.exec();
}

